const MODULE_NAME = 'REPORT';

const stringify = require('json-stringify-pretty-compact');

const pull = require('komodo-sdk/gateway/pull');
const logger = require('komodo-sdk/logger');

module.exports = (xid, data) => {
    if (!data) return;

    logger.verbose(`${MODULE_NAME} BAACC918: Reporting to CORE`, {
        xid,
        data,
    });

    const reportMsg = JSON.parse(JSON.stringify(data));
    if (typeof reportMsg.message !== 'string') {
        reportMsg.message = stringify(reportMsg.message);
    }

    pull.report(reportMsg);
};
